Upstream information

CVE-2014-1912 at MITRE

Description

Buffer overflow in the socket.recvfrom_into function in Modules/socketmodule.c in Python 2.5 before 2.7.7, 3.x before 3.3.4, and 3.4.x before 3.4rc1 allows remote attackers to execute arbitrary code via a crafted string.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 7.5
Vector AV:N/AC:L/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
SUSE Bugzilla entries: 1049392 [RESOLVED / INVALID], 1049422 [RESOLVED / FIXED], 863741 [RESOLVED / FIXED], 882915 [VERIFIED / NORESPONSE]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 11 SP3
  • libpython2_6-1_0 >= 2.6.9-0.27.1
  • libpython2_6-1_0-32bit >= 2.6.9-0.27.1
  • python >= 2.6.9-0.27.1
  • python-base >= 2.6.9-0.27.1
  • python-base-32bit >= 2.6.9-0.27.1
  • python-curses >= 2.6.9-0.27.1
  • python-devel >= 2.6.9-0.27.1
  • python-tk >= 2.6.9-0.27.1
  • python-xml >= 2.6.9-0.27.1
Patchnames:
sledsp3-python-201403
SUSE Linux Enterprise Desktop 12
  • libpython2_7-1_0 >= 2.7.7-2.36
  • libpython2_7-1_0-32bit >= 2.7.7-2.36
  • python-base >= 2.7.7-2.36
  • python-devel >= 2.7.7-2.36
  • python-xml >= 2.7.7-2.36
Patchnames:
SUSE Linux Enterprise Desktop 12 GA libpython2_7-1_0
SUSE Linux Enterprise Desktop 12 SP1
  • libpython2_7-1_0 >= 2.7.9-20.6
  • libpython2_7-1_0-32bit >= 2.7.9-20.6
  • python-base >= 2.7.9-20.6
  • python-devel >= 2.7.9-20.6
  • python-xml >= 2.7.9-20.6
Patchnames:
SUSE Linux Enterprise Desktop 12 SP1 GA libpython2_7-1_0
SUSE Linux Enterprise Desktop 12 SP2
  • libpython2_7-1_0 >= 2.7.9-24.2
  • libpython2_7-1_0-32bit >= 2.7.9-24.2
  • python-base >= 2.7.9-24.2
  • python-devel >= 2.7.9-24.2
  • python-xml >= 2.7.9-24.2
Patchnames:
SUSE Linux Enterprise Desktop 12 SP2 GA libpython2_7-1_0
SUSE Linux Enterprise Desktop 12 SP3
  • libpython2_7-1_0 >= 2.7.13-27.1
  • libpython2_7-1_0-32bit >= 2.7.13-27.1
  • python-base >= 2.7.13-27.1
  • python-devel >= 2.7.13-27.1
  • python-xml >= 2.7.13-27.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP3 GA libpython2_7-1_0
SUSE Linux Enterprise Desktop 12 SP4
  • libpython2_7-1_0 >= 2.7.13-28.11.2
  • libpython2_7-1_0-32bit >= 2.7.13-28.11.2
  • python-base >= 2.7.13-28.11.2
  • python-devel >= 2.7.13-28.11.2
  • python-xml >= 2.7.13-28.11.2
Patchnames:
SUSE Linux Enterprise Desktop 12 SP4 GA libpython2_7-1_0
SUSE Linux Enterprise Module for Basesystem 15
  • libpython2_7-1_0 >= 2.7.14-5.21
  • python-base >= 2.7.14-5.21
  • python-devel >= 2.7.14-5.21
  • python-xml >= 2.7.14-5.21
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 GA libpython2_7-1_0
SUSE Linux Enterprise Server 11 SP1-LTSS
  • libpython2_6-1_0 >= 2.6.9-0.31.1
  • libpython2_6-1_0-32bit >= 2.6.9-0.31.1
  • python >= 2.6.9-0.31.1
  • python-32bit >= 2.6.9-0.31.1
  • python-base >= 2.6.9-0.31.1
  • python-base-32bit >= 2.6.9-0.31.1
  • python-curses >= 2.6.9-0.31.1
  • python-demo >= 2.6.9-0.31.1
  • python-devel >= 2.6.9-0.31.1
  • python-doc >= 2.6-8.31.1
  • python-doc-pdf >= 2.6-8.31.1
  • python-gdbm >= 2.6.9-0.31.1
  • python-idle >= 2.6.9-0.31.1
  • python-tk >= 2.6.9-0.31.1
  • python-xml >= 2.6.9-0.31.1
Patchnames:
slessp1-python-201408
SUSE Linux Enterprise Server 11 SP2-LTSS
  • libpython2_6-1_0 >= 2.6.9-0.31.1
  • libpython2_6-1_0-32bit >= 2.6.9-0.31.1
  • python >= 2.6.9-0.31.1
  • python-32bit >= 2.6.9-0.31.1
  • python-base >= 2.6.9-0.31.1
  • python-base-32bit >= 2.6.9-0.31.1
  • python-curses >= 2.6.9-0.31.1
  • python-demo >= 2.6.9-0.31.1
  • python-devel >= 2.6.9-0.31.1
  • python-doc >= 2.6-8.31.1
  • python-doc-pdf >= 2.6-8.31.1
  • python-gdbm >= 2.6.9-0.31.1
  • python-idle >= 2.6.9-0.31.1
  • python-tk >= 2.6.9-0.31.1
  • python-xml >= 2.6.9-0.31.1
Patchnames:
slessp2-python-201408
SUSE Linux Enterprise Server 11 SP3
  • libpython2_6-1_0 >= 2.6.9-0.27.1
  • libpython2_6-1_0-32bit >= 2.6.9-0.27.1
  • libpython2_6-1_0-x86 >= 2.6.9-0.27.1
  • python >= 2.6.9-0.27.1
  • python-32bit >= 2.6.9-0.27.1
  • python-base >= 2.6.9-0.27.1
  • python-base-32bit >= 2.6.9-0.27.1
  • python-base-x86 >= 2.6.9-0.27.1
  • python-curses >= 2.6.9-0.27.1
  • python-demo >= 2.6.9-0.27.1
  • python-doc >= 2.6-8.27.1
  • python-doc-pdf >= 2.6-8.27.1
  • python-gdbm >= 2.6.9-0.27.1
  • python-idle >= 2.6.9-0.27.1
  • python-tk >= 2.6.9-0.27.1
  • python-x86 >= 2.6.9-0.27.1
  • python-xml >= 2.6.9-0.27.1
Patchnames:
slessp3-python-201403
SUSE Linux Enterprise Server 11 SP4
  • libpython2_6-1_0 >= 2.6.9-0.35.1
  • libpython2_6-1_0-32bit >= 2.6.9-0.35.1
  • libpython2_6-1_0-x86 >= 2.6.9-0.35.1
  • python-base >= 2.6.9-0.35.1
  • python-base-32bit >= 2.6.9-0.35.1
  • python-base-x86 >= 2.6.9-0.35.1
  • python-xml >= 2.6.9-0.35.1
Patchnames:
SUSE Linux Enterprise Server 11 SP4 GA libpython2_6-1_0
SUSE Linux Enterprise Server 12
  • libpython2_7-1_0 >= 2.7.7-2.36
  • libpython2_7-1_0-32bit >= 2.7.7-2.36
  • python-base >= 2.7.7-2.36
  • python-base-32bit >= 2.7.7-2.36
  • python-xml >= 2.7.7-2.36
Patchnames:
SUSE Linux Enterprise Server 12 GA libpython2_7-1_0
SUSE Linux Enterprise Server 12 SP1
  • libpython2_7-1_0 >= 2.7.9-20.6
  • libpython2_7-1_0-32bit >= 2.7.9-20.6
  • python-base >= 2.7.9-20.6
  • python-base-32bit >= 2.7.9-20.6
  • python-xml >= 2.7.9-20.6
Patchnames:
SUSE Linux Enterprise Server 12 SP1 GA libpython2_7-1_0
SUSE Linux Enterprise Server 12 SP2
  • libpython2_7-1_0 >= 2.7.9-24.2
  • libpython2_7-1_0-32bit >= 2.7.9-24.2
  • python-base >= 2.7.9-24.2
  • python-base-32bit >= 2.7.9-24.2
  • python-xml >= 2.7.9-24.2
Patchnames:
SUSE Linux Enterprise Server 12 SP2 GA libpython2_7-1_0
SUSE Linux Enterprise Server 12 SP3
  • libpython2_7-1_0 >= 2.7.13-27.1
  • libpython2_7-1_0-32bit >= 2.7.13-27.1
  • python-base >= 2.7.13-27.1
  • python-base-32bit >= 2.7.13-27.1
  • python-xml >= 2.7.13-27.1
Patchnames:
SUSE Linux Enterprise Server 12 SP3 GA libpython2_7-1_0
SUSE Linux Enterprise Server 12 SP4
  • libpython2_7-1_0 >= 2.7.13-28.11.2
  • libpython2_7-1_0-32bit >= 2.7.13-28.11.2
  • python-base >= 2.7.13-28.11.2
  • python-base-32bit >= 2.7.13-28.11.2
  • python-xml >= 2.7.13-28.11.2
Patchnames:
SUSE Linux Enterprise Server 12 SP4 GA libpython2_7-1_0
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • libpython2_7-1_0 >= 2.7.9-24.2
  • python-base >= 2.7.9-24.2
  • python-xml >= 2.7.9-24.2
Patchnames:
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 GA libpython2_7-1_0
SUSE Linux Enterprise Server for SAP Applications 11 SP1-LTSS
  • libpython2_6-1_0 >= 2.6.9-0.31.1
  • libpython2_6-1_0-32bit >= 2.6.9-0.31.1
  • python >= 2.6.9-0.31.1
  • python-32bit >= 2.6.9-0.31.1
  • python-base >= 2.6.9-0.31.1
  • python-base-32bit >= 2.6.9-0.31.1
  • python-curses >= 2.6.9-0.31.1
  • python-demo >= 2.6.9-0.31.1
  • python-devel >= 2.6.9-0.31.1
  • python-doc >= 2.6-8.31.1
  • python-doc-pdf >= 2.6-8.31.1
  • python-gdbm >= 2.6.9-0.31.1
  • python-idle >= 2.6.9-0.31.1
  • python-tk >= 2.6.9-0.31.1
  • python-xml >= 2.6.9-0.31.1
Patchnames:
slessp1-python-201408
SUSE Linux Enterprise Server for SAP Applications 11 SP2-LTSS
  • libpython2_6-1_0 >= 2.6.9-0.31.1
  • libpython2_6-1_0-32bit >= 2.6.9-0.31.1
  • python >= 2.6.9-0.31.1
  • python-32bit >= 2.6.9-0.31.1
  • python-base >= 2.6.9-0.31.1
  • python-base-32bit >= 2.6.9-0.31.1
  • python-curses >= 2.6.9-0.31.1
  • python-demo >= 2.6.9-0.31.1
  • python-devel >= 2.6.9-0.31.1
  • python-doc >= 2.6-8.31.1
  • python-doc-pdf >= 2.6-8.31.1
  • python-gdbm >= 2.6.9-0.31.1
  • python-idle >= 2.6.9-0.31.1
  • python-tk >= 2.6.9-0.31.1
  • python-xml >= 2.6.9-0.31.1
Patchnames:
slessp2-python-201408
SUSE Linux Enterprise Server for SAP Applications 11 SP3
  • libpython2_6-1_0 >= 2.6.9-0.27.1
  • libpython2_6-1_0-32bit >= 2.6.9-0.27.1
  • libpython2_6-1_0-x86 >= 2.6.9-0.27.1
  • python >= 2.6.9-0.27.1
  • python-32bit >= 2.6.9-0.27.1
  • python-base >= 2.6.9-0.27.1
  • python-base-32bit >= 2.6.9-0.27.1
  • python-base-x86 >= 2.6.9-0.27.1
  • python-curses >= 2.6.9-0.27.1
  • python-demo >= 2.6.9-0.27.1
  • python-doc >= 2.6-8.27.1
  • python-doc-pdf >= 2.6-8.27.1
  • python-gdbm >= 2.6.9-0.27.1
  • python-idle >= 2.6.9-0.27.1
  • python-tk >= 2.6.9-0.27.1
  • python-x86 >= 2.6.9-0.27.1
  • python-xml >= 2.6.9-0.27.1
Patchnames:
slessp3-python-201403
SUSE Linux Enterprise Server for VMWare 11 SP3
  • libpython2_6-1_0 >= 2.6.9-0.27.1
  • libpython2_6-1_0-32bit >= 2.6.9-0.27.1
  • libpython2_6-1_0-x86 >= 2.6.9-0.27.1
  • python >= 2.6.9-0.27.1
  • python-32bit >= 2.6.9-0.27.1
  • python-base >= 2.6.9-0.27.1
  • python-base-32bit >= 2.6.9-0.27.1
  • python-base-x86 >= 2.6.9-0.27.1
  • python-curses >= 2.6.9-0.27.1
  • python-demo >= 2.6.9-0.27.1
  • python-doc >= 2.6-8.27.1
  • python-doc-pdf >= 2.6-8.27.1
  • python-gdbm >= 2.6.9-0.27.1
  • python-idle >= 2.6.9-0.27.1
  • python-tk >= 2.6.9-0.27.1
  • python-x86 >= 2.6.9-0.27.1
  • python-xml >= 2.6.9-0.27.1
Patchnames:
slessp3-python-201403
SUSE Linux Enterprise Software Development Kit 11 SP3
  • python-32bit >= 2.6.9-0.27.1
  • python-demo >= 2.6.9-0.27.1
  • python-devel >= 2.6.9-0.27.1
  • python-doc >= 2.6-8.27.1
  • python-doc-pdf >= 2.6-8.27.1
  • python-gdbm >= 2.6.9-0.27.1
  • python-idle >= 2.6.9-0.27.1
  • python-tk >= 2.6.9-0.27.1
Patchnames:
sdksp3-python-201403
SUSE Linux Enterprise Software Development Kit 11 SP4
  • python-devel >= 2.6.9-0.35.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 11 SP4 GA python-devel
SUSE Linux Enterprise Software Development Kit 12
  • python-devel >= 2.7.7-2.36
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 GA python-devel
SUSE Linux Enterprise Software Development Kit 12 SP1
  • python-devel >= 2.7.9-20.6
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP1 GA python-devel
SUSE Linux Enterprise Software Development Kit 12 SP2
  • python-devel >= 2.7.9-24.2
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP2 GA python-devel
SUSE Linux Enterprise Software Development Kit 12 SP3
  • python-devel >= 2.7.13-27.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP3 GA python-devel
SUSE Linux Enterprise Software Development Kit 12 SP4
  • python-devel >= 2.7.13-28.11.2
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP4 GA python-devel
SUSE Linux Enterprise Workstation Extension 12
  • python-devel >= 2.7.7-2.36
Patchnames:
SUSE Linux Enterprise Workstation Extension 12 GA python-devel
SUSE Linux Enterprise Workstation Extension 12 SP1
  • python-devel >= 2.7.9-20.6
Patchnames:
SUSE Linux Enterprise Workstation Extension 12 SP1 GA python-devel
SUSE Linux Enterprise Workstation Extension 12 SP2
  • python-devel >= 2.7.9-24.2
Patchnames:
SUSE Linux Enterprise Workstation Extension 12 SP2 GA python-devel
SUSE Linux Enterprise Workstation Extension 12 SP3
  • python-devel >= 2.7.13-27.1
Patchnames:
SUSE Linux Enterprise Workstation Extension 12 SP3 GA python-devel
SUSE Linux Enterprise Workstation Extension 12 SP4
  • python-devel >= 2.7.13-28.11.2
Patchnames:
SUSE Linux Enterprise Workstation Extension 12 SP4 GA python-devel
SUSE Linux Enterprise Server 11 SP1 LTSS
  • libpython2_6-1_0 >= 2.6.9-0.31.1
  • python >= 2.6.9-0.31.1
  • python-base >= 2.6.9-0.31.1
  • python-curses >= 2.6.9-0.31.1
  • python-demo >= 2.6.9-0.31.1
  • python-devel >= 2.6.9-0.31.1
  • python-doc >= 2.6-8.31.1
  • python-doc-pdf >= 2.6-8.31.1
  • python-gdbm >= 2.6.9-0.31.1
  • python-idle >= 2.6.9-0.31.1
  • python-tk >= 2.6.9-0.31.1
  • python-xml >= 2.6.9-0.31.1
Builds
SAT Patch Nr: 9578
SUSE Linux Enterprise Server 11 SP1 LTSS
  • libpython2_6-1_0 >= 2.6.9-0.31.1
  • libpython2_6-1_0-32bit >= 2.6.9-0.31.1
  • python >= 2.6.9-0.31.1
  • python-32bit >= 2.6.9-0.31.1
  • python-base >= 2.6.9-0.31.1
  • python-base-32bit >= 2.6.9-0.31.1
  • python-curses >= 2.6.9-0.31.1
  • python-demo >= 2.6.9-0.31.1
  • python-devel >= 2.6.9-0.31.1
  • python-doc >= 2.6-8.31.1
  • python-doc-pdf >= 2.6-8.31.1
  • python-gdbm >= 2.6.9-0.31.1
  • python-idle >= 2.6.9-0.31.1
  • python-tk >= 2.6.9-0.31.1
  • python-xml >= 2.6.9-0.31.1
Builds
SAT Patch Nr: 9578
SUSE Linux Enterprise Software Development Kit 11 SP3
  • python-demo >= 2.6.9-0.27.1
  • python-devel >= 2.6.9-0.27.1
  • python-doc >= 2.6-8.27.1
  • python-doc-pdf >= 2.6-8.27.1
  • python-gdbm >= 2.6.9-0.27.1
  • python-idle >= 2.6.9-0.27.1
  • python-tk >= 2.6.9-0.27.1
Builds
SAT Patch Nr: 9075
SUSE Linux Enterprise Software Development Kit 11 SP3
  • python-devel >= 2.6.9-0.27.1
Builds
SAT Patch Nr: 9075
SUSE Linux Enterprise Software Development Kit 11 SP3
  • python-32bit >= 2.6.9-0.27.1
  • python-demo >= 2.6.9-0.27.1
  • python-devel >= 2.6.9-0.27.1
  • python-doc >= 2.6-8.27.1
  • python-doc-pdf >= 2.6-8.27.1
  • python-gdbm >= 2.6.9-0.27.1
  • python-idle >= 2.6.9-0.27.1
  • python-tk >= 2.6.9-0.27.1
Builds
SAT Patch Nr: 9075
SUSE Linux Enterprise Desktop 11 SP3
  • libpython2_6-1_0 >= 2.6.9-0.27.1
  • python >= 2.6.9-0.27.1
  • python-base >= 2.6.9-0.27.1
  • python-curses >= 2.6.9-0.27.1
  • python-devel >= 2.6.9-0.27.1
  • python-tk >= 2.6.9-0.27.1
  • python-xml >= 2.6.9-0.27.1
Builds
SAT Patch Nr: 9075
SUSE Linux Enterprise Desktop 11 SP3
  • libpython2_6-1_0 >= 2.6.9-0.27.1
  • libpython2_6-1_0-32bit >= 2.6.9-0.27.1
  • python >= 2.6.9-0.27.1
  • python-base >= 2.6.9-0.27.1
  • python-base-32bit >= 2.6.9-0.27.1
  • python-curses >= 2.6.9-0.27.1
  • python-devel >= 2.6.9-0.27.1
  • python-tk >= 2.6.9-0.27.1
  • python-xml >= 2.6.9-0.27.1
Builds
SAT Patch Nr: 9075
SUSE Linux Enterprise Server 11 SP3
SUSE Linux Enterprise Server 11 SP3 for VMware
  • libpython2_6-1_0 >= 2.6.9-0.27.1
  • python >= 2.6.9-0.27.1
  • python-base >= 2.6.9-0.27.1
  • python-curses >= 2.6.9-0.27.1
  • python-demo >= 2.6.9-0.27.1
  • python-doc >= 2.6-8.27.1
  • python-doc-pdf >= 2.6-8.27.1
  • python-gdbm >= 2.6.9-0.27.1
  • python-idle >= 2.6.9-0.27.1
  • python-tk >= 2.6.9-0.27.1
  • python-xml >= 2.6.9-0.27.1
Builds
SAT Patch Nr: 9075
SUSE Linux Enterprise Server 11 SP3
SUSE Linux Enterprise Server 11 SP3 for VMware
  • libpython2_6-1_0 >= 2.6.9-0.27.1
  • libpython2_6-1_0-32bit >= 2.6.9-0.27.1
  • python >= 2.6.9-0.27.1
  • python-32bit >= 2.6.9-0.27.1
  • python-base >= 2.6.9-0.27.1
  • python-base-32bit >= 2.6.9-0.27.1
  • python-curses >= 2.6.9-0.27.1
  • python-demo >= 2.6.9-0.27.1
  • python-doc >= 2.6-8.27.1
  • python-doc-pdf >= 2.6-8.27.1
  • python-gdbm >= 2.6.9-0.27.1
  • python-idle >= 2.6.9-0.27.1
  • python-tk >= 2.6.9-0.27.1
  • python-xml >= 2.6.9-0.27.1
Builds
SAT Patch Nr: 9075
SUSE Linux Enterprise Server 11 SP3
  • libpython2_6-1_0 >= 2.6.9-0.27.1
  • libpython2_6-1_0-x86 >= 2.6.9-0.27.1
  • python >= 2.6.9-0.27.1
  • python-base >= 2.6.9-0.27.1
  • python-base-x86 >= 2.6.9-0.27.1
  • python-curses >= 2.6.9-0.27.1
  • python-demo >= 2.6.9-0.27.1
  • python-doc >= 2.6-8.27.1
  • python-doc-pdf >= 2.6-8.27.1
  • python-gdbm >= 2.6.9-0.27.1
  • python-idle >= 2.6.9-0.27.1
  • python-tk >= 2.6.9-0.27.1
  • python-x86 >= 2.6.9-0.27.1
  • python-xml >= 2.6.9-0.27.1
Builds
SAT Patch Nr: 9075
SUSE Linux Enterprise Server 11 SP2 LTSS
  • libpython2_6-1_0 >= 2.6.9-0.31.1
  • python >= 2.6.9-0.31.1
  • python-base >= 2.6.9-0.31.1
  • python-curses >= 2.6.9-0.31.1
  • python-demo >= 2.6.9-0.31.1
  • python-devel >= 2.6.9-0.31.1
  • python-doc >= 2.6-8.31.1
  • python-doc-pdf >= 2.6-8.31.1
  • python-gdbm >= 2.6.9-0.31.1
  • python-idle >= 2.6.9-0.31.1
  • python-tk >= 2.6.9-0.31.1
  • python-xml >= 2.6.9-0.31.1
Builds
SAT Patch Nr: 9580
SUSE Linux Enterprise Server 11 SP2 LTSS
  • libpython2_6-1_0 >= 2.6.9-0.31.1
  • libpython2_6-1_0-32bit >= 2.6.9-0.31.1
  • python >= 2.6.9-0.31.1
  • python-32bit >= 2.6.9-0.31.1
  • python-base >= 2.6.9-0.31.1
  • python-base-32bit >= 2.6.9-0.31.1
  • python-curses >= 2.6.9-0.31.1
  • python-demo >= 2.6.9-0.31.1
  • python-devel >= 2.6.9-0.31.1
  • python-doc >= 2.6-8.31.1
  • python-doc-pdf >= 2.6-8.31.1
  • python-gdbm >= 2.6.9-0.31.1
  • python-idle >= 2.6.9-0.31.1
  • python-tk >= 2.6.9-0.31.1
  • python-xml >= 2.6.9-0.31.1
Builds
SAT Patch Nr: 9580
openSUSE 12.3
  • libpython2_7-1_0 >= 2.7.3-10.12.1
  • libpython2_7-1_0-32bit >= 2.7.3-10.12.1
  • libpython2_7-1_0-debuginfo >= 2.7.3-10.12.1
  • libpython2_7-1_0-debuginfo-32bit >= 2.7.3-10.12.1
  • libpython3_3m1_0 >= 3.3.0-6.15.1
  • libpython3_3m1_0-32bit >= 3.3.0-6.15.1
  • libpython3_3m1_0-debuginfo >= 3.3.0-6.15.1
  • libpython3_3m1_0-debuginfo-32bit >= 3.3.0-6.15.1
  • python >= 2.7.3-10.12.1
  • python-32bit >= 2.7.3-10.12.1
  • python-base >= 2.7.3-10.12.1
  • python-base-32bit >= 2.7.3-10.12.1
  • python-base-debuginfo >= 2.7.3-10.12.1
  • python-base-debuginfo-32bit >= 2.7.3-10.12.1
  • python-base-debugsource >= 2.7.3-10.12.1
  • python-curses >= 2.7.3-10.12.1
  • python-curses-debuginfo >= 2.7.3-10.12.1
  • python-debuginfo >= 2.7.3-10.12.1
  • python-debuginfo-32bit >= 2.7.3-10.12.1
  • python-debugsource >= 2.7.3-10.12.1
  • python-demo >= 2.7.3-10.12.1
  • python-devel >= 2.7.3-10.12.1
  • python-doc >= 2.7-10.12.1
  • python-doc-pdf >= 2.7-10.12.1
  • python-gdbm >= 2.7.3-10.12.1
  • python-gdbm-debuginfo >= 2.7.3-10.12.1
  • python-idle >= 2.7.3-10.12.1
  • python-tk >= 2.7.3-10.12.1
  • python-tk-debuginfo >= 2.7.3-10.12.1
  • python-xml >= 2.7.3-10.12.1
  • python-xml-debuginfo >= 2.7.3-10.12.1
  • python3 >= 3.3.0-6.15.2
  • python3-32bit >= 3.3.0-6.15.2
  • python3-base >= 3.3.0-6.15.1
  • python3-base-32bit >= 3.3.0-6.15.1
  • python3-base-debuginfo >= 3.3.0-6.15.1
  • python3-base-debuginfo-32bit >= 3.3.0-6.15.1
  • python3-base-debugsource >= 3.3.0-6.15.1
  • python3-curses >= 3.3.0-6.15.2
  • python3-curses-debuginfo >= 3.3.0-6.15.2
  • python3-dbm >= 3.3.0-6.15.2
  • python3-dbm-debuginfo >= 3.3.0-6.15.2
  • python3-debuginfo >= 3.3.0-6.15.2
  • python3-debuginfo-32bit >= 3.3.0-6.15.2
  • python3-debugsource >= 3.3.0-6.15.2
  • python3-devel >= 3.3.0-6.15.1
  • python3-devel-debuginfo >= 3.3.0-6.15.1
  • python3-doc >= 3.3.0-6.15.1
  • python3-doc-pdf >= 3.3.0-6.15.1
  • python3-idle >= 3.3.0-6.15.1
  • python3-testsuite >= 3.3.0-6.15.1
  • python3-testsuite-debuginfo >= 3.3.0-6.15.1
  • python3-tk >= 3.3.0-6.15.2
  • python3-tk-debuginfo >= 3.3.0-6.15.2
  • python3-tools >= 3.3.0-6.15.1
Patchnames:
openSUSE-2014-289
openSUSE-2014-333
openSUSE 13.1
  • libpython2_7-1_0 >= 2.7.6-8.6.1
  • libpython2_7-1_0-32bit >= 2.7.6-8.6.1
  • libpython2_7-1_0-debuginfo >= 2.7.6-8.6.1
  • libpython2_7-1_0-debuginfo-32bit >= 2.7.6-8.6.1
  • libpython3_3m1_0 >= 3.3.5-5.4.1
  • libpython3_3m1_0-32bit >= 3.3.5-5.4.1
  • libpython3_3m1_0-debuginfo >= 3.3.5-5.4.1
  • libpython3_3m1_0-debuginfo-32bit >= 3.3.5-5.4.1
  • python >= 2.7.6-8.6.1
  • python-32bit >= 2.7.6-8.6.1
  • python-base >= 2.7.6-8.6.1
  • python-base-32bit >= 2.7.6-8.6.1
  • python-base-debuginfo >= 2.7.6-8.6.1
  • python-base-debuginfo-32bit >= 2.7.6-8.6.1
  • python-base-debugsource >= 2.7.6-8.6.1
  • python-curses >= 2.7.6-8.6.1
  • python-curses-debuginfo >= 2.7.6-8.6.1
  • python-debuginfo >= 2.7.6-8.6.1
  • python-debuginfo-32bit >= 2.7.6-8.6.1
  • python-debugsource >= 2.7.6-8.6.1
  • python-demo >= 2.7.6-8.6.1
  • python-devel >= 2.7.6-8.6.1
  • python-doc >= 2.7.6-8.6.1
  • python-doc-pdf >= 2.7.6-8.6.1
  • python-gdbm >= 2.7.6-8.6.1
  • python-gdbm-debuginfo >= 2.7.6-8.6.1
  • python-idle >= 2.7.6-8.6.1
  • python-tk >= 2.7.6-8.6.1
  • python-tk-debuginfo >= 2.7.6-8.6.1
  • python-xml >= 2.7.6-8.6.1
  • python-xml-debuginfo >= 2.7.6-8.6.1
  • python3 >= 3.3.5-5.4.1
  • python3-32bit >= 3.3.5-5.4.1
  • python3-base >= 3.3.5-5.4.1
  • python3-base-32bit >= 3.3.5-5.4.1
  • python3-base-debuginfo >= 3.3.5-5.4.1
  • python3-base-debuginfo-32bit >= 3.3.5-5.4.1
  • python3-base-debugsource >= 3.3.5-5.4.1
  • python3-curses >= 3.3.5-5.4.1
  • python3-curses-debuginfo >= 3.3.5-5.4.1
  • python3-dbm >= 3.3.5-5.4.1
  • python3-dbm-debuginfo >= 3.3.5-5.4.1
  • python3-debuginfo >= 3.3.5-5.4.1
  • python3-debuginfo-32bit >= 3.3.5-5.4.1
  • python3-debugsource >= 3.3.5-5.4.1
  • python3-devel >= 3.3.5-5.4.1
  • python3-devel-debuginfo >= 3.3.5-5.4.1
  • python3-doc >= 3.3.5-5.4.1
  • python3-doc-pdf >= 3.3.5-5.4.1
  • python3-idle >= 3.3.5-5.4.1
  • python3-testsuite >= 3.3.5-5.4.1
  • python3-testsuite-debuginfo >= 3.3.5-5.4.1
  • python3-tk >= 3.3.5-5.4.1
  • python3-tk-debuginfo >= 3.3.5-5.4.1
  • python3-tools >= 3.3.5-5.4.1
Patchnames:
openSUSE-2014-213
openSUSE-2014-278
openSUSE Leap 15.0
  • libpython2_7-1_0 >= 2.7.14-lp150.5.14
  • python-base >= 2.7.14-lp150.5.14
  • python-xml >= 2.7.14-lp150.5.14
Patchnames:
openSUSE Leap 15.0 GA libpython2_7-1_0
openSUSE Leap 42.1
  • libpython2_7-1_0 >= 2.7.9-21.3
  • libpython2_7-1_0-32bit >= 2.7.9-21.3
  • python-base >= 2.7.9-21.3
  • python-devel >= 2.7.9-21.3
  • python-xml >= 2.7.9-21.3
Patchnames:
openSUSE Leap 42.1 GA libpython2_7-1_0
openSUSE Leap 42.2
  • libpython2_7-1_0 >= 2.7.12-24.1
  • libpython2_7-1_0-32bit >= 2.7.12-24.1
  • python-base >= 2.7.12-24.1
  • python-devel >= 2.7.12-24.1
  • python-xml >= 2.7.12-24.1
Patchnames:
openSUSE Leap 42.2 GA libpython2_7-1_0
openSUSE Leap 42.3
  • libpython2_7-1_0 >= 2.7.13-26.1
  • libpython2_7-1_0-32bit >= 2.7.13-26.1
  • python-base >= 2.7.13-26.1
  • python-devel >= 2.7.13-26.1
  • python-xml >= 2.7.13-26.1
Patchnames:
openSUSE Leap 42.3 GA libpython2_7-1_0
openSUSE Tumbleweed
  • libpython2_7-1_0 >= 2.7.12-1.4
  • libpython2_7-1_0-32bit >= 2.7.12-1.4
  • python-base >= 2.7.12-1.4
  • python-base-32bit >= 2.7.12-1.4
  • python-devel >= 2.7.12-1.4
  • python-xml >= 2.7.12-1.4
Patchnames:
openSUSE Tumbleweed GA libpython2_7-1_0


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 11 SP1 python Released
SUSE Linux Enterprise Desktop 11 SP2 python Released
SUSE Linux Enterprise Desktop 11 SP3 python Released
SUSE Linux Enterprise Desktop 11 SP4 python Released
SUSE Linux Enterprise SDK 11 SP1 python Released
SUSE Linux Enterprise SDK 11 SP2 python Released
SUSE Linux Enterprise SDK 11 SP3 python Released
SUSE Linux Enterprise SDK 11 SP4 python Released
SUSE Linux Enterprise Server 11 SP1 python Released
SUSE Linux Enterprise Server 11 SP1 LTSS python Released
SUSE Linux Enterprise Server 11 SP2 python Released
SUSE Linux Enterprise Server 11 SP2 LTSS python Released
SUSE Linux Enterprise Server 11 SP3 python Released
SUSE Linux Enterprise Server 11 SP3 LTSS python Released
SUSE Linux Enterprise Server 11 SP4 python Released
SUSE Linux Enterprise Server for SAP AIO 11 SP1 python Released
SUSE Linux Enterprise Server for SAP Applications 11 SP2 python Released
SUSE Linux Enterprise Server for SAP Applications 11 SP3 python Released
SUSE Linux Enterprise Server for SAP ES 11 SP1 python Released
SUSE Linux Enterprise Server for VMWare 11 SP2 python Released
SUSE Linux Enterprise Server for VMWare 11 SP3 python Released